Ogre::GLXUtils Class Reference

`#include <OgreGLXUtils.h>`

List of all members.

## Static Public Member Functions

static GLXFBConfig | getFBConfigFromContext (Display *display,::GLXContext context)
| Get the GLXFBConfig used to create a ::GLXContext.
static GLXFBConfig | getFBConfigFromDrawable (Display *display, GLXDrawable drawable, unsigned int *width, unsigned int *height)
| Get the GLXFBConfig used to create a GLXDrawable.
static void | initialiseGLXEW (Display *display)
| Initialise the parts of GLXEW needed to create a GL Context.
static GLXFBConfig | selectFBConfig (Display *display, const int *minAttribs, const int *maxAttribs)
| Select an FBConfig given a list of required and a list of desired properties.
static bool | loadIcon (Display *display, const std::string &name, Pixmap *pix, Pixmap *mask)
| Loads an icon from an Ogre resource into the X Server.

## Static Public Attributes

static PFNGLXCHOOSEFBCONFIGPROC | chooseFBConfig
static PFNGLXCREATENEWCONTEXTPROC | createNewContext
static PFNGLXGETFBCONFIGATTRIBPROC | getFBConfigAttrib
static PFNGLXGETVISUALFROMFBCONFIGPROC | getVisualFromFBConfig

## Detailed Description

Definition at line 37 of file OgreGLXUtils.h.

## Member Function Documentation

static GLXFBConfig Ogre::GLXUtils::getFBConfigFromContext | ( | Display * | display,
|  | ::GLXContext | context
| ) |  | `[static]`

Get the GLXFBConfig used to create a ::GLXContext.

Parameters:

  display | X Display
  drawable | GLXContext

Returns:
  GLXFBConfig used to create the context

static GLXFBConfig Ogre::GLXUtils::getFBConfigFromDrawable | ( | Display * | display,
|  | GLXDrawable | drawable,
|  | unsigned int * | width,
|  | unsigned int * | height
| ) |  | `[static]`

Get the GLXFBConfig used to create a GLXDrawable.

Caveat: GLX version 1.3 is needed when the drawable is a GLXPixmap

Parameters:

  display | X Display
  drawable | GLXDrawable
  width | Receiver for the drawable width
  height | Receiver for the drawable height

Returns:
  GLXFBConfig used to create the drawable

static void Ogre::GLXUtils::initialiseGLXEW | ( | Display * | display | ) | `[static]`

Initialise the parts of GLXEW needed to create a GL Context.

Parameters:

  display | X Display

static bool Ogre::GLXUtils::loadIcon | ( | Display * | display,
|  | const std::string & | name,
|  | Pixmap * | pix,
|  | Pixmap * | mask
| ) |  | `[static]`

Loads an icon from an Ogre resource into the X Server.

This currently only works for 24 and 32 bit displays. The image must be findable by the Ogre resource system, and of format PF_A8R8G8B8.

Parameters:

  display | X display
  name | Name of image to load
  pix | Receiver for the output pixmap
  mask | Receiver for the output mask (alpha bitmap)

Returns:
  true on success

static GLXFBConfig Ogre::GLXUtils::selectFBConfig | ( | Display * | display,
|  | const int * | minAttribs,
|  | const int * | maxAttribs
| ) |  | `[static]`

Select an FBConfig given a list of required and a list of desired properties.

Parameters:

  display | X Display
  minAttribs | FBConfig attributes that must be provided with minimum values
  maxAttribs | FBConfig attributes that are preferred with maximum values

Returns:
  GLXFBConfig with attributes or 0 when unsupported.

## Member Data Documentation

PFNGLXCHOOSEFBCONFIGPROC Ogre::GLXUtils::chooseFBConfig`[static]`

Definition at line 42 of file OgreGLXUtils.h.

PFNGLXCREATENEWCONTEXTPROC Ogre::GLXUtils::createNewContext`[static]`

Definition at line 43 of file OgreGLXUtils.h.

PFNGLXGETFBCONFIGATTRIBPROC Ogre::GLXUtils::getFBConfigAttrib`[static]`

Definition at line 44 of file OgreGLXUtils.h.

PFNGLXGETVISUALFROMFBCONFIGPROC Ogre::GLXUtils::getVisualFromFBConfig`[static]`

Definition at line 45 of file OgreGLXUtils.h.

The documentation for this class was generated from the following file:

- OgreGLXUtils.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:50